# Interface ICefMediaSink

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefMediaSink = interface(ICefBaseRefCounted)`

## Description

Represents a sink to which media can be routed. Instances of this object are retrieved via ICefMediaObserver.OnSinks. The functions of this interface may be called on any browser process thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_sink_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefMediaSink

## Overview

### Methods

| `function GetId: ustring;`
| `function GetName: ustring;`
| `function GetIconType: TCefMediaSinkIconType;`
| `procedure GetDeviceInfo(const callback: ICefMediaSinkDeviceInfoCallback);`
| `function IsCastSink: boolean;`
| `function IsDialSink: boolean;`
| `function IsCompatibleWith(const source: ICefMediaSource): boolean;`

### Properties

| `property ID : ustring read GetId;`
| `property Name : ustring read GetName;`
| `property IconType : TCefMediaSinkIconType read GetIconType;`

## Description

### Methods

| `function GetId: ustring;`
Returns the ID for this sink. ###### Attributes GUID['{EDA1A4B2-2A4C-42DD-A7DF-901BF93D908D}']

| `function GetName: ustring;`
Returns the name of this sink.

| `function GetIconType: TCefMediaSinkIconType;`
Returns the icon type for this sink.

| `procedure GetDeviceInfo(const callback: ICefMediaSinkDeviceInfoCallback);`
Asynchronously retrieves device info.

| `function IsCastSink: boolean;`
Returns true (1) if this sink accepts content via Cast.

| `function IsDialSink: boolean;`
Returns true (1) if this sink accepts content via DIAL.

| `function IsCompatibleWith(const source: ICefMediaSource): boolean;`
Returns true (1) if this sink is compatible with |source|.

### Properties

| `property ID : ustring read GetId;`
Returns the ID for this sink.

| `property Name : ustring read GetName;`
Returns the name of this sink.

| `property IconType : TCefMediaSinkIconType read GetIconType;`
Returns the icon type for this sink.

Generated by PasDoc 0.16.0-snapshot.